man(1)

NAME
gen_sccpconf - Automatically generated conf/xml files based on the chan_sccp_b sources.

SYNOPSIS
Usage: gen_sccpconf <config filename> <conf_type>
       where conf_type is one of: (ALL | DEFAULTS | TEMPLATED | SHORT | XML | MYSQL | SQLITE | POSTGRES)

DESCRIPTION
Automatically generated conf/xml files based on the chan_sccp_b sources.

OPTIONS

config filename : file name to send the output to.

conf_type: ALL | DEFAULTS | TEMPLATED | SHORT | XML | MYSQL | SQLITE | POSTGRES

EXAMPLES

To generate all possible entries, use: gen_sccpconf sccp.conf ALL

To generate default entries for a standard sccp.conf, use: gen_sccpconf sccp.conf DEFAULTS

To generate a templated version of the sccp.conf, use: gen_sccpconf sccp.conf TEMPLATED

To generate a short sccp.conf, use: gen_sccpconf sccp.conf SHORT

To generate an xml file with all the possible options and there formatting, use: gen_sccpconf sccp.xml XML

To generate an sql file for your realtime database, use on of: gen_sccpconf sccp.sql MYSQL gen_sccpconf sccp.sql SQLITE gen_sccpconf sccp.sql POSTGRES

BUGS
None

AUTHOR
Diederik de Groot <ddegroot@users.sf.net>

COPYRIGHT
GPL-1.0+